clear; clc;

% Predator Ecology book, Chapter 1
% Code to make Figure 1.1


% functional response parameters
a = 0.1;
h = 2;
x = 0:50;

fr_1 = a.*x./(1 + a.*0.2.*h.*x);
fr_2 = a.*x./(1 + a.*0.5.*h.*x);
fr_3 = a.*x./(1 + a.*h.*x);

t = 25; % duration of experiment

figure(1);clf(1);
    box on; hold on;
    h1 = plot(x,fr_1,'-k','LineWidth',2);
    h2 = plot(x,fr_2,':k','LineWidth',2);
    h3 = plot(x,fr_3,'--k','LineWidth',2);
    %h2 = plot(x,L_curve,'-','Color',[0.5 0.5 0.5],'LineWidth',2);
    %legend([h1 h2],'Deutonymphs','Larvae','Location','Best');
    xlabel('Prey abundance or density','FontSize',12);
    ylabel('Prey consumed or foraging rate','FontSize',12);
    xticks('');
    yticks('');
    
shg;

gtext('\leftarrow No prey, no predation');
gtext('Shallow/low functional response');
gtext('Steep/high functional response');