clear; clc;

% Predator Ecology book, Chapter 2
% Code to make Figure 2.2
% Functional response parameters seen on figures

a_plot = 2;
h_plot = 0.05;
q_plot = 1.5;
x = 0:0.01:50;
y = a_plot.*x./(1+a_plot.*h_plot.*x);
y2 = a_plot.*x.^q_plot./(1+a_plot.*h_plot.*x.^q_plot);

figure(2);clf(2);
subplot(221);
    hold on; box on;
    plot(x,y,'-k','LineWidth',2);
    plot([0 150],[1/h_plot 1/h_plot],':k');
    plot([0 8],[0 8].*a_plot,'--k');
    xlabel('Prey density','FontSize',12);
    ylabel('Foraging rate','FontSize',12);
    axis([0 40 0 25]);
    title('Type II');

subplot(223);
    hold on; box on;
    plot(x,y2,'-k','LineWidth',2);
    plot([0 150],[1/h_plot 1/h_plot],':k');
    xlabel('Prey density','FontSize',12);
    ylabel('Foraging rate','FontSize',12);
    axis([0 40 0 25]);
    title('Type III');
    
subplot(224);
    hold on; box on;
    plot(x,y2,'-k','LineWidth',2);
    plot([0 8],[0 8],'--k');
    axis([0 0.5 0 0.5]);

shg;

gtext('Slope is \ita');
gtext('Asymptote is 1/\ith');
gtext('A','FontSize',12);
gtext('B','FontSize',12);
