clear; clc;

% Predator Ecology book, Chapter 3
% Code to make Figure 3.1
% Functional response parameter space from FoRAGE (Uiterwaal et al 2018)

[num text] = xlsread('FoRAGE db 12_19_18.xlsx','Sources'); % read in treatment data

h = num(:,41); 
a = num(:,38); 
D = num(:,4);
a = a(h > 1e-6); % exclude points with h < 1e-6
h = h(h > 1e-6); % exclude points with h < 1e-6
D = D(h > 1e-6); % exclude points with h < 1e-6

%% plot
figure(1); clf(1);
    subplot(2,1,1);
        box on;
        loglog(a(D==2,:),h(D==2,:),'ow','MarkerFaceColor',[0.5 0.5 0.5]);
        ylabel('Handling time (days)','FontSize',12); 
        xlabel('Space clearance rate (m^{2} pred^{-1} day^{-1})','FontSize',12);
        title('2D foragers');
        grid on;
    subplot(2,1,2);
        box on;
        loglog(a(D==3,:),h(D==3,:),'ow','MarkerFaceColor',[0.5 0.5 0.5]);
        grid on;
        xlim([1e-13 1e7]);
        ylabel('Handling time (days)','FontSize',12); 
        xlabel('Space clearance rate (m^{3} pred^{-1} day^{-1})','FontSize',12);
        title('3D foragers');

shg;

gtext('A','FontSize',12);
gtext('B','FontSize',12);
