clear; clc;

% Predator Ecology book, Chapter 7
% Code to make Figure 7.1

% pick some parameters
% parameters of prey rank 1
    a1 = 1; % space clearance rate
    h1 = 1; % handling time per prey
    E1 = 2; % energy value of prey
    R1 = 4; % current abundance
    rate_at_R1 = E1.*a1.*R1./(1 + a1.*R1.*h1);

% parameters of prey rank 2
    a2 = 1;
    h2 = 1;
    E2 = 0.7*E1;
    R2 = 1;
    rate_at_R2 = E1.*a1.*R2./(1 + a1.*R2.*h1);

figure(1); clf(1);
subplot(2,1,1);
hold on; box on;
    x = 0:0.1:10;
    y1 = E1.*a1.*x./(1 + a1.*x.*h1);
    z1 = plot(x,y1,'-k','LineWidth',2);
    plot(R1,rate_at_R1,'ok','MarkerFaceColor','k');
    plot([0 R1],[rate_at_R1 rate_at_R1],'--k');
    plot([R1 R1],[0 rate_at_R1],'--k');
    z2 = plot([min(x) max(x)],[E2/h2 E2/h2],':','Color',[0.5 0.5 0.5],'LineWidth',2);

    ylabel('^{E_{n}}/_{T}');
    xlabel('Abundance of prey');
    ylim([0 2.2]);
    xticks([]);
    yticks([]);
    
    gtext('A','FontSize',12);
    gtext('J_{2}/h_{2}');
    gtext('J_{2}/h_{2} < E_{n}/T');
    gtext('Energy gained from prey type 1');
    
subplot(2,1,2);
hold on; box on;
    x = 0:0.1:10;
    y1 = E1.*a1.*x./(1 + a1.*x.*h1);
    z1 = plot(x,y1,'-k','LineWidth',2);
    plot(R2,rate_at_R2,'ok','MarkerFaceColor','k');
    plot([0 R2],[rate_at_R2 rate_at_R2],'--k');
    plot([R2 R2],[0 rate_at_R2],'--k');

    y2 = E2.*a2.*x./(1 + a2.*x.*h2);
    z2 = plot([min(x) max(x)],[E2/h2 E2/h2],':','Color',[0.5 0.5 0.5],'LineWidth',2);

    ylabel('^{E_{n}}/_{T}');
    xlabel('Abundance of prey');
    ylim([0 2.2]);
    xticks([]);
    yticks([]);
    
    gtext('J_{2}/h_{2}');
    gtext('J_{2}/h_{2} > E_{n}/T');
    gtext('Energy gained from prey type 1');
    gtext('B','FontSize',12);
    
shg;