clear; clc;

% Predator Ecology book, Chapter 7
% Code to make Figure 7.2

delta_En = -10:0.25:10; % pick a range to plot on x axis
k = 0.5; % what's the trait at the end
x0 = 0; % what's the trait at the end
p1 = 1./(1 + exp(-k*(delta_En-x0))); % calculate the reaction norm at the end

k = 2; % what's the trait at the end
p2 = 1./(1 + exp(-k*(delta_En-x0))); % calculate the reaction norm at the end

figure(1);clf(1);
hold on; box on;
h1 = plot(delta_En,p1,'--','Color',[1 0.55 0],'LineWidth',2);
h2 = plot(delta_En,p2,':','Color',[0 0.45 0.74],'LineWidth',2);
h3 = plot([-10 0 0 10],[0 0 1 1],'-k','LineWidth',2);

legend([h1 h2 h3],'k = 0.5','k = 2','Hard switch');

ylabel('Probability of attack (p_{a})');
xlabel('Difference between J_{2}/h_{2} and E_{n}/T');
xticks([0]);

gtext('J_{2}/h_{2} < E_{n}/T');    
gtext('J_{2}/h_{2} > E_{n}/T');

shg;
    
    