clear; clc; 

% Predator Ecology book, Chapter 7
% Code to make Figures 7.3
% Actual abundance of hare relative to lynx functional response

years = 0:1:7;
hare = [0.8 1 2.8 5.7 7.5 4.7 1.3 1.1];
lynx = [2.7E-4 5.6E-4 1.06E-3 2.43E-3 4.45E-3 4.49E-3 4.3E-4 2.00E-4];

% model parameters generated by ODE fitting
r = 1.387;
a = 148.648;
d = 23.654;
h = 0.000355;
K = 1371;
m = -0.677;
e = 0.00912;
C = 1;

x = 0:10:1500;
fpc = a.*x.*C.^m./(1+a.*h.*x.*C^m);

figure(1);clf(1);
    box on; hold on;
    plot([K K],[0 3000],'-','Color',[0.8 0.8 0.8],'LineWidth',5);
    plot([min(hare) max(hare)],[0 3000],'-','Color',[0.8 0.8 0.8],'LineWidth',5);
    plot(x,fpc,'-k','LineWidth',2);
    gtext('\leftarrowActual hare abundance');
    gtext('Hare carrying capacity\rightarrow');
    gtext('\leftarrowLynx foraging low on the curve');
    
    xlabel('Hares ha^{-1}','FontSize',12);
    ylabel('Hare consumed lynx^{-1} y^{-1}','FontSize',12);

