clear; clc;

% Predator Ecology book, Chapter 8
% Code to make Figure 8.3
% Based on data from Heong et al 1990
% Data digitzed from Figure 1

% MB = myrid bug
% PH = planthopper

% functional response experiment data
density = [5 10 20 30 60];
MB_eaten = [3.22E+00 7.36E+00 1.34E+01 1.99E+01 2.16E+01];
PH_eaten = [8.23E-01 2.75E+00 6.43E+00 5.95E+00 5.82E+00];

% functional response parameters fitted to disc equation equation
MB_a = 0.892;
MB_h = 0.019;
PH_a = 0.239;
PH_h = 0.063;
x = 0:80;

MB_curve = MB_a.*x./(1 + MB_a.*MB_h.*x);
PH_curve = PH_a.*x./(1 + PH_a.*PH_h.*x);

figure(1);clf(1);
    box on; hold on;
    plot(density,MB_eaten,'ok','MarkerFaceColor','k');
    h1 = plot(x,MB_curve,'-k','LineWidth',2);
    plot(density,PH_eaten,'o','Color',[0.5 0.5 0.5],'MarkerFaceColor',[0.5 0.5 0.5]);
    h2 = plot(x,PH_curve,'-','Color',[0.5 0.5 0.5],'LineWidth',2);    
    legend([h1 h2],'Myrid bugs','Planthoppers','Location','Best');
    xlabel('Number of prey offered','FontSize',12);
    ylabel('Number of prey consumed','FontSize',12);

shg;