clear; clc;

% Predator Ecology book, Chapter 9
% Code to make Figure 9.1
% Type III across habitats

% functional response parameters fitted to Lambert Random Predator equation
a_1 = 2;
h_1 = 3;
a_2 = 0.25;
h_2 = 5;
x = 0:0.1:5;

% calculate curves
y1 = a_1.*x./(1 + a_1.*h_1.*x);
y2 = a_2.*x./(1 + a_2.*h_2.*x);

% pick points
x_low = 2;
y_low = a_2*x_low./(1 + a_2*h_2*x_low);
x_high= 3.6;
y_high = a_1*x_high./(1 + a_1*h_1*x_high);
x_as = 4;
y_as = a_1*x_as./(1 + a_1*h_1*x_as);

emergent_x = [0, x_low, x_high, x_as];
emergent_y = [0, y_low, y_high, y_as];

figure(1);clf(1);
    box on;
    jbfill([3 4],[0.4 0.4],[0 0],[0.7 0.7 0.7],[0.7 0.7 0.7]); hold on;
    jbfill([1.5 2.5],[0.4 0.4],[0 0],[0.7 0.7 0.7],[0.7 0.7 0.7]); hold on;
    h1 = plot(x,y1,'-k','LineWidth',2);
    h2 = plot(x,y2,'-','Color',[0.5 0.5 0.5],'LineWidth',2);
    plot(emergent_x,emergent_y,'-ok');
    legend([h1 h2],'Functional response in prey-rich habitat',...
        'Functional response in prey-poor habitat','Location','NorthWest');
    xlabel('Number of prey offered','FontSize',12);
    ylabel('Number of prey consumed','FontSize',12);
    xticks([]);
    ylim([0 0.4]);
    yticks([]);
    gtext({['Predator migrates between'],['prey rich and prey'],['poor habitats']});
    gtext({['Prey in'],['rich habitat']});
    gtext({['Prey in'],['poor habitat']});
    
shg;