clear; clc;

% Predator Ecology book, Chapter 9
% Code to make Figure 9.3
% Illustrating bad behavior of type III models

x = 0:5:100;
h = 1;
aconst = 0.2;
k = 10;
typeI = aconst.*x;
typeII = aconst.*x./(1+aconst.*h.*x);

b = 0.07;

a = b.*x.^0.3;
typeIII = a.*x./(1+a.*h.*x);
typeIIInoh = a.*x;

aalt = aconst.*x./(k + x);
typeIIIalt = aalt.*x./(1+aalt.*h.*x);

figure(1);clf(1);
subplot(2,1,1);
hold on; box on;
    z1 = plot([0 max(x)],[aconst aconst],'-k','LineWidth',2);
    z2 = plot(x,a,'--','Color',[0 0.45 0.74],'LineWidth',2);
    z3 = plot(x,aalt,':','Color',[1 0.55 0],'LineWidth',2);
    legend([z1 z2 z3],'Max \ita','Type III \ita','Asymptotic \ita','Location','Best');
    xlabel('Prey level','FontSize',12);
    ylabel('Realized space clearance rate','FontSize',12);

subplot(2,1,2);
hold on; box on;
    z4 = plot(x,typeI,'-','Color',[0 0.45 0.74],'LineWidth',2);
    z5 = plot(x,typeIIInoh,'--k','LineWidth',2);
    xlabel('Prey level','FontSize',12);
    ylabel('Prey consumed','FontSize',12);
    legend([z4 z5],'Type I','Type III no h','Location','Best');
shg;

gtext('A','FontSize',12);
gtext('B','FontSize',12);
