clear; clc;

% Predator Ecology book, Chapter 10
% Code to make Figure 10.6
% Illustrating type II versus type III functional responses
% by shape and proportion of prey consumed

a = 0.8;
b = 0.002*a;
h = 0.02;
q = 1;

x = 0:20:400;

typeI = a.*x;
typeII = a.*x./(1 + a.*h.*x);
typeIII = (b.*x.^q).*x./(1 + (b.*x.^q).*h.*x);

figure(1);clf(1);
subplot(2,1,1);
box on; hold on;
    z1 = plot(x,typeI,'-k','LineWidth',2);
    z2 = plot(x,typeII,'--','Color',[0 0.45 0.74],'LineWidth',2);
    z3 = plot(x,typeIII,':','Color',[1 0.55 0],'LineWidth',2);
    z4 = plot([0 max(x)],[1/h 1/h],'--k');
    ylim([0 100]);
    legend([z1 z2 z3 z4],'Type I','Type II','Type III','1/h');
    xlabel('Prey offered','FontSize',12);
    ylabel('Prey consumed','FontSize',12);
subplot(2,1,2);
box on; hold on;
    plot(x,typeI./x,'-k','LineWidth',2);
    plot(x,typeII./x,'--','Color',[0 0.45 0.74],'LineWidth',2);
    plot(x,typeIII./x,':','Color',[1 0.55 0],'LineWidth',2);
    ylim([0 1]);
    xlabel('Prey offered','FontSize',12);
    ylabel('Proportion consumed','FontSize',12);

shg;

gtext('A','FontSize',12);
gtext('B','FontSize',12);