function [sum_LL] = MLE_across_prey_levels(x,y,test_parameters,weights)

prey_to_use = unique(x); % ident,ify tested temperatures in data
LL = []; % open an empty matrix to store log-likelihood values
for i = 1:length(prey_to_use) % run through temps
    test_prey = prey_to_use(i); % pull out each temp in sequence
    %[predicted_rate] = asym_a_type_III(test_parameters,test_prey); % evaluate function for that prey and trial parameters

    [predicted_rate, fval] = fsolve(@(z)asym_a_type_III(z,test_parameters), [1 0.1]);
    
    data = y(x == test_prey); % pull out data for that temp
    LL(length(LL)+1:length(LL)+length(data)) = weights(i).*-log(normpdf(data,predicted_rate)); % calculate pdf for the estimated mean given the data
end

sum_LL = sum(LL); % sum up all the - log-likelihoods
